<!--
 * @Date: 2025-06-20 20:48:17
 * @LastEditors: gaoshp
 * @LastEditTime: 2025-06-21 11:09:12
 * @FilePath: /mdmweb/src/views/programmgt/programstatistics.vue
-->
<template>
    <basic-container>
        <avue-crud :option="option" :table-loading="loading" :data="data" v-model:page="page" v-model="form" ref="crud"
            @current-change="currentChange" @size-change="sizeChange" @refresh-change="refreshChange" @on-load="onLoad">
            <template #menu-left>
                <!-- <el-button type="primary" plain @click="exportWebSite">导出回传涉密网</el-button> -->
                <!-- <el-button type="primary" plain @click="reassign">挂载车床程序库</el-button> -->
                <el-button type="primary" plain @click="exportExcel">导出到EXCEL</el-button>
            </template>
            <template #menu="scope">
                <el-button type="primary" text size="default" @click.stop="handleAction(scope.row, scope.index)">详情
                </el-button>
            </template>
        </avue-crud>
        <el-dialog title="详情" append-to-body v-model="viewBox" width="80%">
            <avue-crud :option="optionView" :table-loading="loading" :data="dataView"
                ref="crud"
                @on-load="onLoadView">
            </avue-crud>
            <!-- <template #footer>
                <span class="dialog-footer">
                    <el-button @click="deployBox = false">取 消</el-button>
                    <el-button type="primary" @click="handleDoDeploy" :loading="deployLoading">确 定</el-button>
                </span>
            </template> -->
        </el-dialog>
    </basic-container>
</template>

<script>
import { getList } from '@/api/programmgt/programstatistics.js';
export default {
    name: 'Timeouts',
    data() {
        return {
        dataView: [],
            optionView: {
                addBtn: false,
                editBtn: false,
                delBtn: false,
                printBtn: false,
                exportBtn: true,
                filterBtn: false,
                refreshBtn: false,
                columnBtn: false,
                gridBtn: false,
                // viewBtn: true,
                // columnBtn: false,
                tip: false,
                simplePage: true,
                // searchShow: true,
                // searchMenuSpan: 4,
                // dialogWidth: '60%',
                tree: true,
                border: true,
                index: true,
                // selection: true,
                // menuWidth: 200,
                menu: false,
                // dialogClickModal: false,
                column: [
                    {
                        label: '机床',
                        prop: '',
                        type: 'tree',
                        // search: true,
                        hide: true
                    },
                    {
                        label: '组织',
                        prop: '',
                        type: 'tree',
                        // search: true,
                        hide: true
                    },
                    {
                        label: '机床编号',
                        prop: '',
                    },
                    {
                        label: '试切数量',
                        prop: '',
                    },
                    {
                        label: '归档数量',
                        prop: '',
                    },
                    {
                        label: '试切程序占比',
                        prop: '',
                    },
                    {
                        label: '归档程序占比',
                        prop: '',
                    }
                ]
            },
            viewBox: false,
            // Define your data properties here
            page: {
                pageSize: 10,
                currentPage: 1,
                total: 0,
            },
            form: {},
            query: {},
            loading: true,
            data: [],
            option: {
                addBtn: false,
                editBtn: false,
                delBtn: false,
                // viewBtn: true,
                exportBtn: true,
                columnBtn: false,
                tip: false,
                // simplePage: true,
                searchShow: true,
                searchMenuSpan: 4,
                dialogWidth: '60%',
                // tree: true,
                border: true,
                index: true,
                selection: true,
                // viewBtn: true,
                menuWidth: 200,
                // menu: false,
                dialogClickModal: false,
                column: [
                    {
                        label: '发送时间',
                        width: 200,
                        prop: 'processCreateTime',
                        type: 'datetime',
                        format: 'YYYY-MM-DD HH:mm:ss',
                        valueFormat: 'YYYY-MM-DD HH:mm:ss',
                        search: true,
                        searchRange: true,
                        searchSpan: 8,
                        hide: true,
                    },
                    {
                        label: '机床',
                        prop: '',
                        type: 'tree',
                        search: true,
                        hide: true,
                    },
                    {
                        label: '组织',
                        prop: '',
                        type: 'tree',
                        search: true,
                        hide: true,
                    },
                    {
                        label: '机床编号',
                        prop: '',
                    },
                    {
                        label: '试切数量',
                        prop: '',
                    },
                    {
                        label: '归档数量',
                        prop: '',
                    },
                    {
                        label: '试切程序占比',
                        prop: '',
                    },
                    {
                        label: '归档程序占比',
                        prop: '',
                    },
                ],
            }
        };
    },
    methods: {
        handleAction() {
            this.viewBox = true;
            // console.log('handleAction', row, index);
            // this.$refs.crud.handleView(row, index);
        },
        // Define your methods here
        currentChange(currentPage) {
            this.page.currentPage = currentPage;
            // this.onLoad();
        },
        sizeChange(pageSize) {
            this.page.pageSize = pageSize;
        },
        refreshChange() {
            this.onLoad(this.page, this.query);
        },
        /** * 页面加载时获取数据
         */
        onLoad(page, params = {}) {
            console.log('onLoad', page, params);
            const query = {
                ...this.query,
                // category: params.category ? flowCategory(params.category) : null,
                mode: this.mode,
            };
            try {
                delete query.confirmTime; // 删除不必要的查询条件
            } catch (error) {
                console.error('日期格式化错误', error);
            }

            this.loading = true;
            getList(page.currentPage, page.pageSize, Object.assign(query, params)).then(res => {
                const data = res.data.data;
                this.page.total = data.total;
                this.data = data.records;
                this.loading = false;
            }, () => {
                this.data = [];
                this.loading = false;
            }).catch(err => {
                this.data = [];
                this.loading = false;
            });
        }
    },
    mounted() {

    }
}
</script>

<style lang="scss" scoped></style>